{{#if this.hasLayers}}
  {{#component (concat "effect/" this.effect) deviceSize=@size}}
    <div class="layers-container" id={{@id}}>
      {{#each this.layers as |layer index|}}
        <div class="layer layer-{{index}} {{if this.fastboot.isFastBoot "is-fastboot"}}" data-name="layer {{index}}"
          data-type="container">
          {{#if layer.type}}
            {{#component (concat "view/" layer.type) value=layer deviceSize=@size class="" model=@model}}
              <div style={{this.style}} class="layer-filling"></div>
            {{/component}}
          {{/if}}
        </div>

        {{#if (eq index (sum this.container.layers.showContentAfter -1))}}
          <View::Background::Empty @deviceSize={{@size}} class={{this.container.cls}} {{did-insert this.watchSize}}
            data-path={{@path}} data-name="container" data-type="container" data-gid={{this.container.gid}}>
            {{yield}}
          </View::Background::Empty>
        {{/if}}
      {{/each}}
    </div>
  {{/component}}
{{else}}
  {{#component (concat "effect/" this.effect) class=this.classes deviceSize=@size}}
    {{#let (component (concat "view/" this.backgroundCol)) as |BackgroundComponent|}}
      <BackgroundComponent {{on "props-update" this.updateProps}} @value={{this.col}} @deviceSize={{@size}}
        class="{{this.container.cls}} {{this.heightClass}}" @model={{@model}} @id={{@id}} data-editor="container-options" data-name={{@id}}
        data-type="container" data-gid={{this.container.gid}} data-path={{@path}}>
        {{yield}}
      </BackgroundComponent>
    {{/let}}
  {{/component}}
{{/if}}